////////////////////////////////////////////////////////////////////////////////
/*
 * http://www.bicesoft.com
 * 佰思科技 函数判断Js
 * ChinaProgram@hotmail.com
 */
////////////////////////////////////////////////////////////////////////////////*/


function CheckForm(oForm)
{
     var els = oForm.elements;

     for(var i=0;i<els.length;i++)
     {
      
         if(els[i].getAttribute("check"))
         {
     
             var sReg = els[i].getAttribute("check");
       
             var sVal = GetValue(els[i]);
         
             var reg = new RegExp(sReg,"i");
             if(!reg.test(sVal))
             {

                 alert(els[i].getAttribute("warning"));

                 GoBack(els[i]);
                 return false;
             }
         }
     }
}


function GetValue(el)
{
     
     var sType = el.type;
     switch(sType)
     {
         case "text":
         case "hidden":
         case "password":
         case "file":
         case "textarea": return el.value;break;
         case "checkbox":
         case "radio": return GetValueChoose(el);break;
         case "select-one":
         case "select-multiple": return GetValueSel(el);break;
     }

     function GetValueChoose(el)
     {
         var sValue = "";
         //取得第一个元素的name,搜索这个元素组
         var tmpels = document.getElementsByName(el.name);
         for(var i=0;i<tmpels.length;i++)
         {
             if(tmpels[i].checked)
             {
                 sValue += "0";
             }
         }
         return sValue;
     }

     function GetValueSel(el)
     {
         var sValue = "";
         for(var i=0;i<el.options.length;i++)
         {
             //单选下拉框提示选项设置为value=""
             if(el.options[i].selected && el.options[i].value!="")
             {
                 sValue += "0";
             }
         }
         return sValue;
     }
}


function GoBack(el)
{
     
     var sType = el.type;
     switch(sType)
     {
         case "text":
         case "hidden":
         case "password":
         case "file":
         case "textarea": 
    try{el.focus();var rng = el.createTextRange(); rng.collapse(false); rng.select();}catch(e){};
    break;
         case "checkbox":
         case "radio": 
    var els = document.getElementsByName(el.name);els[0].focus();
    break;
   case "select-one":
   case "select-multiple":
    el.focus();
    break;
     }
}
